ServerEvents.recipes(event => {

event.shaped('thermal:energy_cell_frame',[
'LGL',
'GSG',
'LGL'
],{
 L:'thermal:lead_ingot',
 G:'#forge:glass',
 S:'thermal:steel_gear'
})

event.remove({id:  'thermal:energy_duct_4'})

event.shaped('4x thermal:energy_duct',[
'RRR',
'LGL',
'RRR'
],{
R:'thermal:signalum_ingot',
L:'thermal:steel_ingot',
G:'#forge:glass'
})

event.remove({id: 'thermal:fluid_cell_frame'})

event.shaped('thermal:fluid_cell_frame',[
'IGI',
'GSG',
'IGI'
],{
I:'minecraft:copper_ingot',
G:'#forge:glass',
S:'thermal:steel_gear'
})

event.remove({id: 'thermal:fluid_duct_4'})

event.shaped('4x thermal:fluid_duct',[
'CLC'
],{
C:'thermal:constantan_ingot',
L:'thermal:steel_ingot'
})

event.remove({id:'thermal:fluid_duct_windowed_4'})

event.shaped('4x thermal:fluid_duct_windowed',[
'CGC'
],{
C:'thermal:constantan_ingot',
G:'#thermal:glass/hardened'
})

event.remove({id:'thermal:flux_capacitor'})

event.shaped('thermal:flux_capacitor',[
'RSR',
'SGS',
' R '
],{
R:'minecraft:redstone',
S:'thermal:steel_ingot',
G:'thermal:rf_coil'
})

event.remove({id:'thermal:machine_frame'})

event.shaped('thermal:machine_frame',[
'IGI',
'GSG',
'IGI'
],{
I:'minecraft:iron_ingot',
G:'#forge:glass',
S:'thermal:steel_gear'
})

event.remove({id:'thermal:redstone_servo'})

event.shaped('thermal:redstone_servo',[
' R ',
' S ',
' R '
],{
R:'minecraft:redstone',
S:'thermal:steel_ingot'
})

event.remove({id:'thermal:rf_coil'})

event.shaped('thermal:rf_coil',[
'  R',
' S ',
'R  '
],{
R:'minecraft:redstone',
S:'create:brass_ingot'
})

event.shaped('thermal:ruby_block',[
'RRR',
'RRR',
'RRR'
],{
R:'#forge:gems/ruby'
})

event.shaped('9x thermal:ruby',[
'R'
],{
R:'thermal:ruby_block'
})

event.recipes.create.mixing(
'4x thermal:rose_gold_ingot',[
'3x minecraft:copper_ingot',
'minecraft:gold_ingot',
]).heated()

event.shapeless('4x thermal:rose_gold_dust',[
'3x thermal:copper_dust',
'thermal:gold_dust'])

event.recipes.create.pressing(
'thermal:rose_gold_plate','thermal:rose_gold_ingot')

event.remove({id:'thermal:dynamo_stirling'})

event.shaped('thermal:dynamo_stirling',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:iron_gear',
D:'ad_astra:moon_stone',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/stirling'})

event.shaped('systeams:stirling_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:iron_gear',
D:'ad_astra:moon_stone',
E:'create:electron_tube'
})

event.remove({id:'thermal:dynamo_compression'})

event.shaped('thermal:dynamo_compression',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:bronze_gear',
D:'createdieselgenerators:diesel_bucket',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/compression'})

event.shaped('systeams:compression_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:bronze_gear',
D:'createdieselgenerators:diesel_bucket',
E:'create:electron_tube'
})

event.recipes.thermal.compression_fuel('pneumaticcraft:biodiesel').energy(680000)

event.recipes.thermal.compression_fuel('createdieselgenerators:biodiesel').energy(680000)

event.recipes.thermal.compression_fuel('createdieselgenerators:diesel').energy(1020000)

event.recipes.thermal.compression_fuel('pneumaticcraft:diesel').energy(1020000)

event.recipes.thermal.compression_fuel('createdieselgenerators:gasoline').energy(680000)

event.recipes.thermal.compression_fuel('pneumaticcraft:gasoline').energy(680000)

event.recipes.thermal.compression_fuel('pneumaticcraft:kerosene').energy(540000)

event.recipes.thermal.compression_fuel('pneumaticcraft:lpg').energy(1200000)

event.recipes.thermal.compression_fuel('createaddition:bioethanol').energy(540000)

event.remove({id:'thermal:dynamo_magmatic'})

event.shaped('thermal:dynamo_magmatic',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:invar_gear',
D:'immersive_aircraft:nether_engine',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/magmatic'})

event.shaped('systeams:magmatic_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:invar_gear',
D:'immersive_aircraft:nether_engine',
E:'create:electron_tube'
})

event.remove({id:'thermal:dynamo_numismatic'})

event.shaped('thermal:dynamo_numismatic',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:tin_gear',
D:'reliquary:fortune_coin',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/numismatic'})

event.shaped('systeams:numismatic_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:tin_gear',
D:'reliquary:fortune_coin',
E:'create:electron_tube'
})

event.recipes.thermal.numismatic_fuel('createdeco:gold_coin').energy(21000)

event.recipes.thermal.numismatic_fuel('createdeco:gold_coinstack').energy(84000)

event.recipes.thermal.numismatic_fuel('createdeco:netherite_coin').energy(106000)

event.recipes.thermal.numismatic_fuel('createdeco:netherite_coinstack').energy(424000)

event.recipes.thermal.numismatic_fuel('createdeco:brass_coin').energy(20000)

event.recipes.thermal.numismatic_fuel('createdeco:brass_coinstack').energy(80000)

event.recipes.thermal.numismatic_fuel('createdeco:iron_coin').energy(10600)

event.recipes.thermal.numismatic_fuel('createdeco:iron_coinstack').energy(42400)

event.recipes.thermal.numismatic_fuel('createdeco:copper_coin').energy(10600)

event.recipes.thermal.numismatic_fuel('createdeco:copper_coinstack').energy(42400)

event.recipes.thermal.numismatic_fuel('createdeco:industrial_iron_coin').energy(13250)

event.recipes.thermal.numismatic_fuel('createdeco:industrial_iron_coinstack').energy(53000)

event.recipes.thermal.numismatic_fuel('createdeco:zinc_coin').energy(10600)

event.recipes.thermal.numismatic_fuel('createdeco:zinc_coinstack').energy(42400)

event.remove({id:'thermal:dynamo_lapidary'})

event.shaped('thermal:dynamo_lapidary',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:gold_gear',
D:'tetra:pristine_lapis',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/lapidary'})

event.shaped('systeams:lapidary_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:gold_gear',
D:'tetra:pristine_lapis',
E:'create:electron_tube'
})

event.recipes.thermal.lapidary_fuel('epicsamurai:onyx').energy(125000)


event.recipes.thermal.lapidary_fuel('epicsamurai:aquamarine').energy(125000)


event.recipes.thermal.lapidary_fuel('epicsamurai:jade').energy(125000)

event.recipes.thermal.lapidary_fuel('tetra:pristine_amethyst').energy(60000)

event.recipes.thermal.lapidary_fuel('tetra:pristine_lapis').energy(60000)

event.recipes.thermal.lapidary_fuel('tetra:pristine_emerald').energy(187500)

event.recipes.thermal.lapidary_fuel('tetra:pristine_diamond').energy(750000)

event.remove({id:'thermal:dynamo_disenchantment'})

event.shaped('thermal:dynamo_disenchantment',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:silver_gear',
D:'create_enchantment_industry:hyper_experience_bottle',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/disenchantment'})

event.shaped('systeams:disenchantment_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:silver_gear',
D:'create_enchantment_industry:hyper_experience_bottle',
E:'create:electron_tube'
})

event.recipes.thermal.disenchantment_fuel('create_enchantment_industry:hyper_experience_bottle').energy(320000)

event.remove({id:'thermal:dynamo_gourmand'})

event.shaped('thermal:dynamo_gourmand',[
' A ',
'BCB',
'DED'
],{
A:'thermal:rf_coil',
B:'minecraft:iron_ingot',
C:'thermal:copper_gear',
D:'thermal:carrot_cake',
E:'create:electron_tube'
})

event.remove({id:'systeams:boilers/gourmand'})

event.shaped('systeams:gourmand_boiler',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:copper_ingot',
C:'thermal:copper_gear',
D:'thermal:carrot_cake',
E:'create:electron_tube'
})

event.remove({id:'systeams:boiler_pipe'})

event.shaped('systeams:boiler_pipe',[
'  A',
' B ',
'A  '
],{
A:'#forge:rubber',
B:'#thermal:glass/hardened'
})

event.remove({id:'systeams:steam_dynamo'})

event.shaped('systeams:steam_dynamo',[
' A ',
'BCB',
'DED'
],{
A:'systeams:boiler_pipe',
B:'minecraft:iron_ingot',
C:'thermal:bronze_gear',
D:'immersive_aircraft:steel_boiler',
E:'create:electron_tube'
})

})
